⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/user/token

Refresh the user's underlying token secret and return an updated token and user object.

PATCH/api/user/token

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/user/token"
{  "user": {    "id": "string",    "username": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "role": "USER",    "view": {      "enabled": true,      "disableTextFiles": true,      "align": "left",      "showMimetype": true,      "showTags": true,      "showFolder": true,      "content": "string",      "embed": true,      "embedMediaOnly": true,      "embedTitle": "string",      "embedDescription": "string",      "embedColor": "string",      "embedSiteName": "string"    },    "avatar": "string",    "sessions": [      {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "ua": "string",        "client": "string",        "device": "string",        "userId": "string"      }    ],    "oauthProviders": [      {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "userId": "string",        "provider": "DISCORD",        "username": "string",        "oauthId": "string"      }    ],    "totpEnabled": true,    "passkeys": [      {        "id": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "lastUsed": "2019-08-24T14:15:22Z",        "name": "string",        "reg": null,        "userId": "string"      }    ],    "quota": {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "filesQuota": "BY_BYTES",      "maxBytes": "string",      "maxFiles": -2147483648,      "maxUrls": -2147483648,      "userId": "string"    }  },  "token": "string"}